
package de.ivu.elect.presentation.gebietsbaum.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.stimmeingabe.menu.StimmeingabePageMenu;

public class AnzahlWahlberechtigteImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  public AnzahlWahlberechtigteImportDescription() {
    super();
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.ANZAHL_WAHLBERECHTIGTE_IMPORTIEREN;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.ANZAHL_WAHLBERECHTIGTE_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public String getPageMenuComponentName() {
    return StimmeingabePageMenu.COMPONENT_NAME;
  }

  @Override
  public String getImportSearchViewId() {
    return AnzahlWahlberechtigteImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return AnzahlWahlberechtigteImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return AnzahlWahlberechtigteImportBestaetigenView.VIEW_ID;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NUR_BESTEHENDE_AKTUALISIEREN;
  }
}
